Index: /db/item_db.txt
===================================================================
--- /db/item_db.txt (revision 1)
+++ /db/item_db.txt (revision 21)
@@ -618,5 +618,5 @@
 1269,Inverse_Scale,Inverse Scale,4,,10,1500,140,,1,0,0x00001000,2,2,34,4,55,1,16,{ bonus bAtkEle,Ele_Holy; bonus3 bAutoSpell,"NPC_DRAGONFEAR",1,30; },{},{}
 1270,Drill_Katar,Drill Katar,4,,10,1400,110,,1,1,0x00001000,2,2,34,4,55,1,16,{ bonus bHit,30; bonus3 bAutoSpell,"ST_FULLSTRIP",1,150; },{},{}
-1271,Blood_Tears,Blood Tears,4,,10,1700,120,,1,2,0x00001000,2,2,34,4,55,1,16,{ if(getrefine() >= 9){ bonus3 bAutoSpell,665,2,30; } else bonus3 bAutoSpell,"NPC_WIDEBLEEDING",1,30; },{},{}
+1271,Blood_Tears,Blood Tears,4,,10,1700,120,,1,2,0x00001000,2,2,34,4,55,1,16,{ if(getrefine() >= 9){ bonus3 bAutoSpell,"NPC_WIDEBLEEDING",2,30; } else bonus3 bAutoSpell,"NPC_WIDEBLEEDING",1,30; },{},{}
 1272,Scratcher,Scratcher,4,,10,0,120,,1,0,0x00001000,7,2,34,1,1,0,16,{ bonus2 bAddRace,RC_Boss,50; bonus2 bAddRace,RC_NonBoss,50; },{},{}
 1273,Bloody_Roar_C,Refined Bloody Roar,4,,0,0,148,,1,0,0x00001000,7,2,34,4,1,0,16,{ bonus bIgnoreDefRace,RC_DemiHuman; bonus bFlee,-160; bonus bFlee2,-160; },{},{}
Index: /db/job_db1.txt
===================================================================
--- /db/job_db1.txt (revision 12)
+++ /db/job_db1.txt (revision 21)
@@ -56,4 +56,10 @@
 // Ninja
 25,	26000,80   ,  0  ,515  ,400  ,500  ,2000 ,2000 ,2000 ,2000 ,2000 ,2000 ,2000 ,2000 ,2000 ,2000 ,2000 ,2000 ,2000 ,2000 ,2000 ,2000 ,2000 ,2000 ,2000 ,2000 , 750 ,2000
+// Adept
+30,    24000,40   ,500  ,500  ,400  ,2000 ,2000 ,2000 ,2000 ,2000 ,2000 ,2000 ,600  ,600  ,600  ,2000 ,2000 ,2000 ,2000 ,2000 ,2000 ,2000 ,2000 ,2000 ,2000 ,2000 ,2000
+// Necromancer
+31,    24000,70   ,500  ,600  ,400  ,2000 ,2000 ,2000 ,2000 ,2000 ,2000 ,2000 ,600  ,600  ,600  ,2000 ,2000 ,2000 ,2000 ,600  ,2000 ,2000 ,2000 ,2000 ,2000 ,2000 ,2000
+// Warlock
+32,    26000,65   ,500  ,600  ,400  ,500  ,2000 ,2000 ,2000 ,2000 ,2000 ,2000 ,2000 ,2000 ,600  ,2000 ,2000 ,2000 ,2000 ,550  ,2000 ,2000 ,2000 ,2000 ,2000 ,2000 ,2000
 // Novice High
 4001,	20000,0    ,500  ,100  ,500  ,650  ,700  ,2000 ,2000 ,2000 ,800  ,2000 ,700  ,700  ,650  ,2000 ,2000 ,2000 ,2000 ,2000 ,2000 ,2000 ,2000 ,2000 ,2000 ,2000 ,2000 , 650
@@ -154,8 +160,2 @@
 // Soul Linker
 4049, 24000,75   ,500  ,900  ,500  ,575  ,2000 ,2000 ,2000 ,2000 ,2000 ,2000 ,2000 ,2000 ,625  ,2000 ,2000 ,2000 ,2000 ,2000 ,2000 ,2000 ,2000 ,2000 ,2000 ,2000 ,2000 , 625 
-// Adept
-30,    24000,40   ,500  ,500  ,400  ,2000 ,2000 ,2000 ,2000 ,2000 ,2000 ,2000 ,600  ,600  ,600  ,2000 ,2000 ,2000 ,2000 ,2000 ,2000 ,2000 ,2000 ,2000 ,2000 ,2000 ,2000
-// Necromancer
-31,    24000,70   ,500  ,600  ,400  ,2000 ,2000 ,2000 ,2000 ,2000 ,2000 ,2000 ,600  ,600  ,600  ,2000 ,2000 ,2000 ,2000 ,600  ,2000 ,2000 ,2000 ,2000 ,2000 ,2000 ,2000
-// Warlock
-32,    26000,65   ,500  ,600  ,400  ,500  ,2000 ,2000 ,2000 ,2000 ,2000 ,2000 ,2000 ,2000 ,600  ,2000 ,2000 ,2000 ,2000 ,550  ,2000 ,2000 ,2000 ,2000 ,2000 ,2000 ,2000
Index: /db/job_db2.txt
===================================================================
--- /db/job_db2.txt (revision 12)
+++ /db/job_db2.txt (revision 21)
@@ -64,4 +64,13 @@
 // Ninja
 25,2,2,0,0,0,0,0,0,0,5,2,0,0,0,0,0,0,0,0,4,2,5,0,0,0,0,0,0,4,6,2,5,0,0,0,0,0,0,0,6,2,4,5,0,0,0,0,0,0,4,2,6,5,0,0,0,0,0,1,3,2,4,5,6,0,0,0,0,0,0
+// Adept
+30,0,6,0,0,0,3,0,0,0,4,0,0,0,5,0,0,0,6,0,0,0,2,0,0,0,1,0,0,0,3,0,0,4,0,0,5,0,6,0
+2,0,1,0,3,0,4,5,0,1,6
+// Necromancer
+31,6,0,6,1,0,2,3,4,4,6,1,0,0,3,5,0,1,0,0,5,6,4,0,0,5,0,1,0,2,0,6,5,0,3,1,3,2,0,6
+0,0,4,4,0,3,0,0,2,0,6
+// Warlock
+32,6,0,6,1,0,2,3,4,4,6,1,0,0,3,5,0,1,0,0,5,6,4,0,0,5,0,1,0,2,0,6,5,0,3,1,3,2,0,6
+0,0,4,4,0,3,0,0,2,0,6
 // Novice High
 4001,0,0,0,0,0,0,0,0,0,0
@@ -162,11 +171,2 @@
 // Soul Linker
 4049,4,4,4,4,4,4,4,4,4,4,4,4,0,0,0,0,0,0,0,3,3,3,3,3,3,0,0,0,0,0,0,0,0,0,0,0,0,0,5,5,5,5,5,5,5,5,5,5,5,5
-// Adept
-30,0,6,0,0,0,3,0,0,0,4,0,0,0,5,0,0,0,6,0,0,0,2,0,0,0,1,0,0,0,3,0,0,4,0,0,5,0,6,0
-2,0,1,0,3,0,4,5,0,1,6
-// Necromancer
-31,6,0,6,1,0,2,3,4,4,6,1,0,0,3,5,0,1,0,0,5,6,4,0,0,5,0,1,0,2,0,6,5,0,3,1,3,2,0,6
-0,0,4,4,0,3,0,0,2,0,6
-// Warlock
-32,6,0,6,1,0,2,3,4,4,6,1,0,0,3,5,0,1,0,0,5,6,4,0,0,5,0,1,0,2,0,6,5,0,3,1,3,2,0,6
-0,0,4,4,0,3,0,0,2,0,6
Index: /db/skill_cast_db.txt
===================================================================
--- /db/skill_cast_db.txt (revision 12)
+++ /db/skill_cast_db.txt (revision 21)
@@ -1051,6 +1051,4 @@
 10013,5000,0,0,0,300000
 //==========================================
-
-
 // SkillID,CastingTime,AfterCastActDelay,AfterCastWalkDelay,Duration1,Duration2
 //===== Custom Jobs Skills ==============
Index: /db/skill_require_db.txt
===================================================================
--- /db/skill_require_db.txt (revision 12)
+++ /db/skill_require_db.txt (revision 21)
@@ -274,6 +274,6 @@
 
 334,0,0,1,-10,0,0,99,0,0,none,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0	//WE_MALE#NŸ¯Íìéæ#
-335,0,0,1,0,-10,0,99,0,0,none,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0	//WE_FEMALE#EÈœÉ?­µÜ·#
-336,0,0,1,0,0,0,99,0,0,none,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0	//WE_CALLPARTNER#EÈœÉ§¢œ¢#
+335,0,0,1,0,-10,0,99,0,0,none,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0	//WE_FEMALE# ÈœÉ?­µÜ·#
+336,0,0,1,0,0,0,99,0,0,none,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0	//WE_CALLPARTNER# ÈœÉ§¢œ¢#
 337,0,0,1,0,0,0,99,0,0,none,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0	//ITM_TOMAHAWK##
 
@@ -455,14 +455,14 @@
 N#
 1004,0,0,15,0,0,0,99,2,1,none,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0	//AS_VENOMKNIFE#xiiCt#
-1005,0,0,25,0,0,0,99,0,0,none,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0	//RG_CLOSECONFINE#NE?[YRt@C#
+1005,0,0,25,0,0,0,99,0,0,none,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0	//RG_CLOSECONFINE#N??[YRt@C#
 1006,0,0,40,0,0,0,99,0,0,none,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0	//WZ_SIGHTBLASTER#TCguX^?[#
-1007,0,0,30,0,0,0,99,0,0,none,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0	//SA_CREATECON#GE^Ro?[^?»¢#
-1008,0,0,30,0,0,0,99,0,0,none,0,12115,1,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0	//SA_ELEMENTWATER#GE^`FW#
-1009,0,0,10,0,0,0,11,0,0,none,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0	//HT_PHANTASMIC#t@^X~bNAE?[#
+1007,0,0,30,0,0,0,99,0,0,none,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0	//SA_CREATECON#G?^Ro?[^?»¢#
+1008,0,0,30,0,0,0,99,0,0,none,0,12115,1,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0	//SA_ELEMENTWATER#G?^`FW#
+1009,0,0,10,0,0,0,11,0,0,none,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0	//HT_PHANTASMIC#t@^X~bNA??[#
 1010,0,0,20,0,0,0,99,0,0,none,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0	//BA_PANGVOICE#p{CX#
 1011,0,0,40,0,0,0,99,0,0,none,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0	//DC_WINKCHARM#£fÌEBN#
 1013,0,0,10,0,0,0,99,0,0,none,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0	//BS_GREED#æÃ~#
 1014,0,0,400,0,0,0,99,0,0,none,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0	//PR_REDEMPTIO#fveBI#
-1015,0,0,40,0,0,0,99,0,0,none,1,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0	//MO_KITRANSLATION#¿ïEü(?UCEü)#
+1015,0,0,40,0,0,0,99,0,0,none,1,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0	//MO_KITRANSLATION#¿ï?ü(?UC?ü)#
 1016,10,0,20,0,0,0,99,0,0,none,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0	//MO_BALKYOUNG#«? (­€)#
 1017,0,0,30,0,0,0,99,0,0,none,0,12116,1,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0	//SA_ELEMENTGROUND
@@ -488,5 +488,4 @@
 8014,0,0,40,0,0,0,99,0,0,none,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0	//HVAN_CHAOTIC
 8016,0,0,1,0,0,0,99,0,0,none,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0	//HVAN_EXPLOSION
-
 // Custom Skills
 700,0,0,9:13:17:21:25,0,0,0,99,0,0,none,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,
Index: /db/skill_db.txt
===================================================================
--- /db/skill_db.txt (revision 12)
+++ /db/skill_db.txt (revision 21)
@@ -711,7 +711,5 @@
 10013,0,0,4,0,0x3,0,1,0,yes,0,0x10,0,none,0,     GD_EMERGENCYCALL,Urgent Call
 10014,0,0,0,0,0,0,1,0,no,0,0x10,0,none,0,        GD_DEVELOPMENT,Permanent Development
-
-
-
+// Custom Jobs Skills
 // Adept Skills
 700,5,6,1,0,0x1,0,5,1,yes,0,0,0,magic,0, AD_PWBLIND,Power Word: Blind
Index: /db/skill_tree.txt
===================================================================
--- /db/skill_tree.txt (revision 12)
+++ /db/skill_tree.txt (revision 21)
@@ -2253,5 +2253,4 @@
 4049,410,1,0,0,0,0,0,0,0,0,0,0 //WE_CALLBABY#Call Baby#
 4049,681,1,0,0,0,0,0,0,0,0,0,0 //ALL_INCCARRY#Enlarge Weight Limit R#
-
 // Adept
 30,1,9,0,0,0,0,0,0,0,0,0,0 //NV_BASIC#Basic Skill#
Index: /db/const.txt
===================================================================
--- /db/const.txt (revision 12)
+++ /db/const.txt (revision 21)
@@ -27,4 +27,7 @@
 Job_Ninja	25
 Job_Xmas	26
+Job_Adept	30
+Job_Necro	31
+Job_Warlock	32
 
 Job_Novice_High	4001
@@ -1723,5 +1726,2 @@
 4_M_MOCASS2	998
 4_M_MUT1	999
-Job_Adept    30
-Job_Necro    31
-Job_Warlock    32